Page MenuHomeFreeBSD

Flavorize x11-themes/adwaita-qt4 and x11-themes/adwaita-qt5 (via x11-themes/adwaita-common).
ClosedPublic

Authored by tcberner on Apr 29 2018, 7:46 PM.

Details

Summary

Move the three ports into one

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Apr 29 2018, 7:46 PM
tcberner updated this revision to Diff 41976.Apr 29 2018, 7:54 PM

Drop now unnecessary GH_PROJECT, and siwtch GH_PROJECT to the proper one:

https://github.com/FedoraQt/adwaita-qt
mat added inline comments.Jun 18 2018, 9:52 AM
MOVED
10279–10281 ↗(On Diff #43888)

MOVED supports flavors, so you may want to add @qt4/@qt5 where appropriate.

x11-themes/adwaita-qt/Makefile
7 ↗(On Diff #43888)

We prefer that the helpers be used instead of defining PKGNAMESUFFIX in such a manner. Something like:

qt4_PKGNAMESUFFIX= 4
qt5_PKGNAMESUFFIX= 5

in the flavors block of the Makefile.

tcberner updated this revision to Diff 44023.Jun 18 2018, 7:04 PM
  • Fixup MOVED
  • set PKGNAMESUFFIX via the helper
mat accepted this revision as: portmgr.Jun 18 2018, 9:49 PM
This revision was not accepted when it landed; it landed in state Needs Review.Jun 19 2018, 2:07 PM
This revision was automatically updated to reflect the committed changes.